Package org.opentcs.components.kernel.services

# Interface TransportOrderService

All Superinterfaces:
  `TCSObjectService`

All Known Subinterfaces:
  `InternalTransportOrderService`

    public interface TransportOrderService
    extends TCSObjectService

Provides methods concerning `TransportOrder`s and `OrderSequence`s.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `OrderSequence` | `createOrderSequence​(OrderSequenceCreationTO to)` | Creates a new order sequence.
  `TransportOrder` | `createTransportOrder​(TransportOrderCreationTO to)` | Creates a new transport order.
  `void` | `markOrderSequenceComplete​(TCSObjectReference<OrderSequence> ref)` | Marks an order sequence as complete by setting its complete flag.

  ### Methods inherited from interface org.opentcs.components.kernel.services.TCSObjectService

  `appendObjectHistoryEntry, fetchObject, fetchObject, fetchObjects, fetchObjects, updateObjectProperty`

- ## Method Details

  - ### createOrderSequence

    OrderSequence createOrderSequence​(OrderSequenceCreationTO to) throws ObjectUnknownException, ObjectExistsException, KernelRuntimeException
    Creates a new order sequence. A new order sequence is created with a generated unique ID and all other attributes taken from the given transfer object. A copy of the newly created order sequence is then returned.
    Parameters:
      `to` - Describes the order sequence to be created.
    Returns:
      A copy of the newly created order sequence.
    Throws:
      `ObjectUnknownException` - If any referenced object does not exist.
      `ObjectExistsException` - If an object with the same name already exists in the model.
      `KernelRuntimeException` - In case there is an exception executing this method.

  - ### createTransportOrder

    TransportOrder createTransportOrder​(TransportOrderCreationTO to) throws ObjectUnknownException, ObjectExistsException, KernelRuntimeException
    Creates a new transport order. A new transport order is created with a generated unique ID and all other attributes taken from the given transfer object. This method also implicitly adds the transport order to its wrapping sequence, if any. A copy of the newly created transport order is then returned.
    Parameters:
      `to` - Describes the transport order to be created.
    Returns:
      A copy of the newly created transport order.
    Throws:
      `ObjectUnknownException` - If any referenced object does not exist.
      `ObjectExistsException` - If an object with the same name already exists in the model.
      `KernelRuntimeException` - In case there is an exception executing this method.

  - ### markOrderSequenceComplete

    void markOrderSequenceComplete​(TCSObjectReference<OrderSequence> ref) throws ObjectUnknownException, KernelRuntimeException
    Marks an order sequence as complete by setting its complete flag.
    Parameters:
      `ref` - A reference to the order sequence to be modified.
    Throws:
      `ObjectUnknownException` - If the referenced order sequence does not exist.
      `KernelRuntimeException` - In case there is an exception executing this method.